package com.gyee.wisdom.common.data.system.dto;

import java.util.Date;

/**
 * @author northriver
 * @date 2017/5/11
 */
public class UserDto {

    /** 主键ID */
    private String id;

    /** 登录名称 */
    private String userName;


    /** 邮箱 */
    private String email;

    /** 是否禁用 */
    private boolean disabled;

    /** 创建时间 */
    private Date createTime;

    /** 最后登录时间 */
    private Date lastTime;

    /** 中文名称 */
    private String chineseName;

    /** 联系电话 */
    private String contractTel;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public boolean isDisabled() {
        return disabled;
    }

    public void setDisabled(boolean disabled) {
        this.disabled = disabled;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getLastTime() {
        return lastTime;
    }

    public void setLastTime(Date lastTime) {
        this.lastTime = lastTime;
    }

    public String getChineseName() {
        return chineseName;
    }

    public void setChineseName(String chineseName) {
        this.chineseName = chineseName;
    }

    public String getContractTel() {
        return contractTel;
    }

    public void setContractTel(String contractTel) {
        this.contractTel = contractTel;
    }
}
